org.eclipse.microprofile.fault.tolerance.tck.metrics

## Class AllMetricsBean

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.metrics.AllMetricsBean

    @RequestScoped
    public class AllMetricsBean
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`AllMetricsBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Future<Void>` `doFallback()`
`Future<Void>` `doWork()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AllMetricsBean

    public AllMetricsBean()

### Method Detail

#### doWork

    @Retry(maxRetries=5)
     @Bulkhead(value=3)
     @Timeout(value=1L,
             unit=MINUTES)
     @CircuitBreaker(failureRatio=1.0,
                    requestVolumeThreshold=20)
     @Fallback(fallbackMethod="doFallback")
     @Asynchronous
    public Future<Void> doWork()

#### doFallback

    public Future<Void> doFallback()